W1FIND(1)

NAME
w1find - Find 1-Wire weather sensors

SYNOPSIS

w1find DEVICE

DESCRIPTION

w1find searches for and displays sensors for the w1retap(1) package.

OPTIONS

DEVICE
    Interface device, the DEVICE can be serial DS2480 adaptor or a USB DS2490-1 adaptor. Use the serial device node (eg /dev/ttyS0 or /dev/ttyUSB0) for serial or use DS2490-1 to use libusb for a USB adaptor.

EXAMPLE

    • $ w1find /dev/ttyUSBS0

    • $ w1find DS2490-1

SIGNALS

The w1retap daemon accepts three signals. SIGUSR1 causes it to read all the sensors immediately. SIGUSR2 causes it to print the current configuration. SIGHUP causes it to re-read the configuration.

EXIT STATUS

0
    Returns 0 on success

1
    Returns 1 on failure

SEE ALSO

w1retap(1), w1sensors(1)

RESOURCES

    • /usr/share/doc/w1retap-doc/w1retap.odt

    • http://www.zen35309.zen.co.uk/wx/tech.html

AUTHOR

This manual page was written by Thomas Stewart <thomas@stewarts.org.uk> for the Debian GNU/Linux system (but may be used by others). Permission is granted to modify and distribute this manpage under the terms of GNU General Public Licence version 2 or (at your opinion) any later version.